Errors renewing certificates all of a sudden MIAB v67

Last night I got the following errors in emailed to my admin account:
Provisioning TLS certificates for fullmoonmanor.net, www.fullmoonmanor.net.
error: fullmoonmanor.net, www.fullmoonmanor.net:
Saving debug log to /var/log/letsencrypt/letsencrypt.log
An unexpected error occurred:
requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))
Ask for help or search for solutions at https://community.letsencrypt.org. See the logfile /var/log/letsencrypt/letsencrypt.log or re-run Certbot with -v for more details.

the logs on the server showed:
2024-06-26 03:53:47,806:DEBUG:certbot._internal.main:Picked account: <Account(RegistrationResource(body=Registration(key=None, contact=(), agreement=None, status=None, terms_of_service_agreed=None, only_return_existing=None, external_account_binding=None), uri=‘https://acme-v02.api.letsencrypt.org/acme/acct/40127450’, new_authzr_uri=None, terms_of_service=None), 814b13b493345449f8dd4194a495cd85, Meta(creation_dt=datetime.datetime(2018, 8, 13, 2, 9, 39, tzinfo=), creation_host=‘localhost’, register_to_eff=None))>
2024-06-26 03:53:47,806:DEBUG:acme.client:Sending GET request to https://acme-v02.api.letsencrypt.org/directory.
2024-06-26 03:53:47,808:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org:443
2024-06-26 03:54:07,293:DEBUG:certbot._internal.log:Exiting abnormally:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 700, in urlopen
httplib_response = self._make_request(
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 383, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 1017, in validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 411, in connect
self.sock = ssl_wrap_socket(
File "/usr/lib/python3/dist-packages/urllib3/util/ssl
.py", line 449, in ssl_wrap_socket
ssl_sock = ssl_wrap_socket_impl(
File "/usr/lib/python3/dist-packages/urllib3/util/ssl
.py", line 493, in _ssl_wrap_socket_impl
return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
File “/usr/lib/python3.10/ssl.py”, line 513, in wrap_socket
return self.sslsocket_class._create(
File “/usr/lib/python3.10/ssl.py”, line 1100, in _create
self.do_handshake()
File “/usr/lib/python3.10/ssl.py”, line 1371, in do_handshake
self._sslobj.do_handshake()
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 439, in send
resp = conn.urlopen(
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 756, in urlopen
retries = retries.increment(
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 532, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/usr/lib/python3/dist-packages/six.py”, line 718, in reraise
raise value.with_traceback(tb)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 700, in urlopen
httplib_response = self._make_request(
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 383, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 1017, in validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 411, in connect
self.sock = ssl_wrap_socket(
File "/usr/lib/python3/dist-packages/urllib3/util/ssl
.py", line 449, in ssl_wrap_socket
ssl_sock = ssl_wrap_socket_impl(
File "/usr/lib/python3/dist-packages/urllib3/util/ssl
.py", line 493, in _ssl_wrap_socket_impl
return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
File “/usr/lib/python3.10/ssl.py”, line 513, in wrap_socket
return self.sslsocket_class._create(
File “/usr/lib/python3.10/ssl.py”, line 1100, in _create
self.do_handshake()
File “/usr/lib/python3.10/ssl.py”, line 1371, in do_handshake
self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/certbot”, line 33, in
sys.exit(load_entry_point(‘certbot==1.21.0’, ‘console_scripts’, ‘certbot’)())
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 15, in main
return internal_main.main(cli_args)
File “/usr/lib/python3/dist-packages/certbot/_internal/main.py”, line 1574, in main
return config.func(config, plugins)
File “/usr/lib/python3/dist-packages/certbot/_internal/main.py”, line 1416, in certonly
le_client = _init_le_client(config, auth, installer)
File “/usr/lib/python3/dist-packages/certbot/_internal/main.py”, line 770, in _init_le_client
return client.Client(config, acc, authenticator, installer, acme=acme)
File “/usr/lib/python3/dist-packages/certbot/_internal/client.py”, line 267, in init
acme = acme_from_config_key(config, self.account.key, self.account.regr)
File “/usr/lib/python3/dist-packages/certbot/_internal/client.py”, line 48, in acme_from_config_key
client = acme_client.BackwardsCompatibleClientV2(net, key, config.server)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 875, in init
directory = messages.Directory.from_json(net.get(server).json())
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1236, in get
self._send_request(‘GET’, url, **kwargs), content_type=content_type)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1174, in _send_request
response = self.session.request(method, url, *args, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 544, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 657, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))
2024-06-26 03:54:07,329:ERROR:certbot._internal.log:An unexpected error occurred:
2024-06-26 03:54:07,330:ERROR:certbot._internal.log:requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))
2024-06-26 04:09:24,062:DEBUG:certbot._internal.main:certbot version: 1.21.0
2024-06-26 04:09:24,062:DEBUG:certbot._internal.main:Location of certbot entry point: /usr/bin/certbot
2024-06-26 04:09:24,062:DEBUG:certbot._internal.main:Arguments: [‘-q’]
2024-06-26 04:09:24,062:DEBUG:certbot._internal.main:Discovered plugins: PluginsRegistry(PluginEntryPoint#manual,PluginEntryPoint#null,PluginEntryPoint#standalone,PluginEntryPoint#webroot)
2024-06-26 04:09:24,071:DEBUG:certbot._internal.log:Root logging level set at 40
2024-06-26 04:09:24,073:DEBUG:certbot._internal.display.obj:Notifying user:


2024-06-26 04:09:24,074:DEBUG:certbot._internal.display.obj:Notifying user: No renewals were attempted.
2024-06-26 04:09:24,074:DEBUG:certbot._internal.display.obj:Notifying user: - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
2024-06-26 04:09:24,074:DEBUG:certbot._internal.renewal:no renewal failures

Any ideas?

honestly I would consider upgrading from v67 to v68 and see if this is resolved by the upgrade.

curl -s https://mailinabox.email/setup.sh | sudo bash

What happens if you retry from the Admin interface?

The cert problem corrected itself last night. It may have been an intermittent connection issue at the time of trying to renew?

Let’s encrypt now tries to connect from diffrent servers around the world. Yours might have been unreachable. Also there is a timeout for multiple tries when you doing it manually.